import {
  IsEmail,
  IsInt,
  IsNotEmpty,
  IsOptional,
  IsString,
  MaxLength,
} from 'class-validator';

export class CreateOperadorDto {
  @IsEmail()
  correo: string;

  @IsInt()
  id_institucion: number;

  @IsInt()
  id_tipo_usuario: number;

  @IsString()
  @IsNotEmpty()
  @MaxLength(40)
  nombre: string;

  @IsString()
  operador: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  password?: string;
}
