import {
  IsBoolean,
  IsEmail,
  IsInt,
  IsOptional,
  IsPhoneNumber,
} from 'class-validator';

export class UpdateUsuarioInputDto {
  @IsInt()
  id_usuario: number;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;

  @IsEmail()
  @IsOptional()
  correo?: string;

  @IsPhoneNumber('MX')
  @IsOptional()
  telefono?: string;
}
